GNU bug report logs - #50894
Disable show-paren-mode in special modes

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Juri Linkov <juri@HIDDEN>; merged with #50895; dated Wed, 29 Sep 2021 17:21:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Severity set to 'wishlist' from 'normal' Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 50894 <at> debbugs.gnu.org:


Received: (at 50894) by debbugs.gnu.org; 30 Sep 2021 09:49:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 30 05:49:32 2021
Received: from localhost ([127.0.0.1]:51494 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mVsh2-0008Jg-6i
	for submit <at> debbugs.gnu.org; Thu, 30 Sep 2021 05:49:32 -0400
Received: from eggs.gnu.org ([209.51.188.92]:60032)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mVsgz-0008JR-IT
 for 50894 <at> debbugs.gnu.org; Thu, 30 Sep 2021 05:49:30 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37720)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mVsgs-0005D8-MU; Thu, 30 Sep 2021 05:49:23 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2261
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mVsgs-0006BE-EC; Thu, 30 Sep 2021 05:49:22 -0400
Date: Thu, 30 Sep 2021 12:49:33 +0300
Message-Id: <83bl4agzpu.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
In-Reply-To: <877deyeehw.fsf@HIDDEN> (message from Juri Linkov on
 Thu, 30 Sep 2021 09:58:35 +0300)
Subject: Re: [External] : bug#50894: Disable show-paren-mode in special modes
References: <87wnmzfgfy.fsf_-_@HIDDEN> <83tui3gt7z.fsf@HIDDEN>
 <87pmsruphu.fsf@HIDDEN>
 <SJ0PR10MB54887A8D5F7F9DFF683F0790F3A99@HIDDEN>
 <877deyeehw.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50894
Cc: 50894 <at> debbugs.gnu.org, drew.adams@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Juri Linkov <juri@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>,  "50894 <at> debbugs.gnu.org"
>  <50894 <at> debbugs.gnu.org>
> Date: Thu, 30 Sep 2021 09:58:35 +0300
> 
> > We cater to users.  We give them optional behaviors.
> > Some such we turn on by default.  Some users don't
> > like the default behaviors, so they customize.
> >
> > Nothing new.
> 
> The question is whether emphasizing the parens at the
> first line of 'C-h C-h' was an intentional change or not.
> If not, then it's a bug.

The intent is to emphasize parens _everywhere_.  That's what the
feature does, and that's what we intended to turn on by default, and
asked users to provide feedback about.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50894; Package emacs. Full text available.

Message received at 50894 <at> debbugs.gnu.org:


Received: (at 50894) by debbugs.gnu.org; 30 Sep 2021 08:47:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 30 04:47:05 2021
Received: from localhost ([127.0.0.1]:51436 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mVrib-0006jR-8a
	for submit <at> debbugs.gnu.org; Thu, 30 Sep 2021 04:47:05 -0400
Received: from eggs.gnu.org ([209.51.188.92]:48228)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mVriZ-0006ix-3W
 for 50894 <at> debbugs.gnu.org; Thu, 30 Sep 2021 04:47:03 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36330)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mVriT-00047t-LB; Thu, 30 Sep 2021 04:46:57 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2377
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mVriT-0000jv-6Y; Thu, 30 Sep 2021 04:46:57 -0400
Date: Thu, 30 Sep 2021 11:47:07 +0300
Message-Id: <83ilyih2lw.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
In-Reply-To: <87pmsruphu.fsf@HIDDEN> (message from Juri Linkov on
 Wed, 29 Sep 2021 22:54:20 +0300)
Subject: Re: bug#50894: Disable show-paren-mode in special modes
References: <87wnmzfgfy.fsf_-_@HIDDEN> <83tui3gt7z.fsf@HIDDEN>
 <87pmsruphu.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50894
Cc: 50894 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Juri Linkov <juri@HIDDEN>
> Cc: 50894 <at> debbugs.gnu.org
> Date: Wed, 29 Sep 2021 22:54:20 +0300
> 
> >> So here is a new request created from bug#50881.
> >
> > Sorry, but I object to turning show-paren-mode off just 5 min after we
> > turned it on.  Please wait for a month at least before reporting
> > problems with that setting that are not clear bugs.
> 
> If you read a book where every paren is emphasized,
> what would you think about the author?

It doesn't matter what I think.  If I don't like that, I can turn it
off.

Moreover, some special modes display code fragments, where
show-paren-mode is definitely useful, especially to newbies who don't
yet have parenthesis peeling off burnt into their brains.  Even *Help*
buffers show code fragments.

Please, just let this feature alone for a while.  Disable it in your
customizations if you cannot stand it.  We can come back to it later,
when we have enough experience collected from those who will see this
default for the first time when Emacs 28.1 is released.  They are
those for whom we made this change, so let's hear their opinions
before changing anything.  My personal experience suggests that at
least some of them will have no problems where you see them.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50894; Package emacs. Full text available.

Message received at 50894 <at> debbugs.gnu.org:


Received: (at 50894) by debbugs.gnu.org; 30 Sep 2021 07:02:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 30 03:02:01 2021
Received: from localhost ([127.0.0.1]:51261 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mVq4v-0001rO-JW
	for submit <at> debbugs.gnu.org; Thu, 30 Sep 2021 03:02:01 -0400
Received: from relay1-d.mail.gandi.net ([217.70.183.193]:34267)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1mVq4s-0001qu-62
 for 50894 <at> debbugs.gnu.org; Thu, 30 Sep 2021 03:02:00 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by relay1-d.mail.gandi.net (Postfix) with ESMTPSA id DFE90240009;
 Thu, 30 Sep 2021 07:01:50 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: [External] : bug#50894: Disable show-paren-mode in special modes
Organization: LINKOV.NET
References: <87wnmzfgfy.fsf_-_@HIDDEN> <83tui3gt7z.fsf@HIDDEN>
 <87pmsruphu.fsf@HIDDEN>
 <SJ0PR10MB54887A8D5F7F9DFF683F0790F3A99@HIDDEN>
Date: Thu, 30 Sep 2021 09:58:35 +0300
In-Reply-To: <SJ0PR10MB54887A8D5F7F9DFF683F0790F3A99@HIDDEN>
 (Drew Adams's message of "Wed, 29 Sep 2021 20:26:22 +0000")
Message-ID: <877deyeehw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50894
Cc: "50894 <at> debbugs.gnu.org" <50894 <at> debbugs.gnu.org>,
 Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> If you read a book where every paren is emphasized,
>> what would you think about the author?
>
> If I read that book in a reader app, I'd look to
> see if that was a visualization option - but only
> if I didn't find it useful.
>
> We cater to users.  We give them optional behaviors.
> Some such we turn on by default.  Some users don't
> like the default behaviors, so they customize.
>
> Nothing new.

The question is whether emphasizing the parens at the
first line of 'C-h C-h' was an intentional change or not.
If not, then it's a bug.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50894; Package emacs. Full text available.

Message received at 50894 <at> debbugs.gnu.org:


Received: (at 50894) by debbugs.gnu.org; 29 Sep 2021 20:28:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 29 16:28:05 2021
Received: from localhost ([127.0.0.1]:50374 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mVgBR-00068v-3Z
	for submit <at> debbugs.gnu.org; Wed, 29 Sep 2021 16:28:05 -0400
Received: from mx0a-00069f02.pphosted.com ([205.220.165.32]:26314)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1mVgBO-00068V-EC
 for 50894 <at> debbugs.gnu.org; Wed, 29 Sep 2021 16:28:03 -0400
Received: from pps.filterd (m0246627.ppops.net [127.0.0.1])
 by mx0b-00069f02.pphosted.com (8.16.1.2/8.16.1.2) with SMTP id 18TKIS7b009245; 
 Wed, 29 Sep 2021 20:28:00 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : cc :
 subject : date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2021-07-09;
 bh=fstb1DG5OB/oGdvoHyGGWIk3ys1+ACOzG3HgxMaZycU=;
 b=ipkdb1ow9GHsnwS+tVjWvpnby6Pg2VmlOtN2p0T6Iu19jReSLGHyP6hYDHJL73O2ToQH
 jSm1YyIAAYtG85UrSYN+gSYe2iXonT5foetmy+ojhasAI0t1r9EwAWkwnji4NeYBwP0z
 JZW5tyZwA7I1S5f5YI+nhX1hb5NdeZyoil8dvvN3g2Zkn1JpUp+qSCi1DDDx7FmpBrB1
 z4Mtw5c5RJPBLO/lvY7a4k/bKnEwdjkp6VF1Oumd0rdIYFhanrYJOLcIPBpwEh8iyezu
 hG6U8o9kMxc7kdr3R1EnXE6WcYcvyAC+XIvEvEFm75NYtaJ5b5L1BiBdCdu9yUrKrkf2 QQ== 
Received: from userp3030.oracle.com (userp3030.oracle.com [156.151.31.80])
 by mx0b-00069f02.pphosted.com with ESMTP id 3bccc8j03c-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Wed, 29 Sep 2021 20:27:33 +0000
Received: from pps.filterd (userp3030.oracle.com [127.0.0.1])
 by userp3030.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 18TKGTWc021083;
 Wed, 29 Sep 2021 20:26:24 GMT
Received: from nam12-bn8-obe.outbound.protection.outlook.com
 (mail-bn8nam12lp2175.outbound.protection.outlook.com [104.47.55.175])
 by userp3030.oracle.com with ESMTP id 3bc3bkhmyw-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Wed, 29 Sep 2021 20:26:24 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=LsN6hlEnzV5RmjRiXrWx+mdxxvAI7slebTjHYzNqUn6pjQi9qJQKvQ0LzFcXaYmG69CNaK8H2ze4LMETw4T+pGvX6GytUM7f6Do3KGZv8F8bse1WWTCoiK9cxD4zBVsxpH5yEiIL8SPzzw5Dvjg9NRpYrGmLmwqBx2hkvZQMAqihhLIaiz30U5mz7MmCQEvmyGH1ZkPUzjTq45GuFGlbm/KSw/nSvM6lHp3IxQu90kCS05L/LK9ZtWHRws6n/3aioKT4ygMMAk3W3Bi3GsdRTcFUdjVsLmiGzQZknG2eQ+kGVHxhSWdWT7ZeiK4DIVSjs99tggko8nT0tJ4rm/9w/g==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version; 
 bh=fstb1DG5OB/oGdvoHyGGWIk3ys1+ACOzG3HgxMaZycU=;
 b=GBO50YuAmRnHhNwyGQ7BQZScsORfY88b1MDvTYM5mLZbEHWK7jpwoo9Xakc6SA9Cu+TTBmilVnEcqqBMVQvjILvwrpBH4vn37rf2usEqZEj3chkqPHhsGYYex5iJ+ctJW22xbpRKNEvJ2JFEt9wFJBmMbdBx8Rb2j0vHIBdyClnFQTO01gv1A9HWc/3660Zjoru6nYhDtj+93YXC+bJkmDTqJ57jVba2KClRjQUfXXObJewLokXVZ+2qjHD2IakphoqpPIQzQDU73Ag7e8pJwD6zlw7g+eQaM4DJAEcqDHwIJstrIAtrZqifE1kDFbPiu92VQ5KnYEP6zm8vMN8Bsw==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=fstb1DG5OB/oGdvoHyGGWIk3ys1+ACOzG3HgxMaZycU=;
 b=lolC9BlD3DLelNNxRLMDjWasYQo+6DnpCB5MvQ+D6GJP2QenmS2+Q/rffmdp+vqY0Jpd6hTw3F3vBLPsF6+n+rstHybcaSh/Ww8SlPj0vJz0KaJhYVVqnA3bRhrgaAtbTU/hn5O6CUdLUcFxFPDwivqHEuVqqQ+J0IpaXImSFXk=
Received: from SJ0PR10MB5488.namprd10.prod.outlook.com (2603:10b6:a03:37e::19)
 by BY5PR10MB4035.namprd10.prod.outlook.com (2603:10b6:a03:1f8::33)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.4544.15; Wed, 29 Sep
 2021 20:26:22 +0000
Received: from SJ0PR10MB5488.namprd10.prod.outlook.com
 ([fe80::c0bc:7c3a:292f:8a82]) by SJ0PR10MB5488.namprd10.prod.outlook.com
 ([fe80::c0bc:7c3a:292f:8a82%9]) with mapi id 15.20.4544.021; Wed, 29 Sep 2021
 20:26:22 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: Juri Linkov <juri@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
Subject: RE: [External] : bug#50894: Disable show-paren-mode in special modes
Thread-Topic: [External] : bug#50894: Disable show-paren-mode in special modes
Thread-Index: AQHXtWzfY/SCvdR1a06U7bRwg6ai5Ku7dHFA
Date: Wed, 29 Sep 2021 20:26:22 +0000
Message-ID: <SJ0PR10MB54887A8D5F7F9DFF683F0790F3A99@HIDDEN>
References: <87wnmzfgfy.fsf_-_@HIDDEN> <83tui3gt7z.fsf@HIDDEN>
 <87pmsruphu.fsf@HIDDEN>
In-Reply-To: <87pmsruphu.fsf@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
authentication-results: linkov.net; dkim=none (message not signed)
 header.d=none;linkov.net; dmarc=none action=none header.from=oracle.com;
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: 3b487661-946c-4f3c-fb40-08d983876746
x-ms-traffictypediagnostic: BY5PR10MB4035:
x-microsoft-antispam-prvs: <BY5PR10MB40358E338B693648C48E5E53F3A99@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:8273;
x-ms-exchange-senderadcheck: 1
x-ms-exchange-antispam-relay: 0
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: SKqy1KDrFgaZMN9+wBqkKzmYI83EOBB1g4vav58mzGJQO5iD77Et5oNMszyJ8NlmsGLSvPb8tFPjjIIRdoo9duvzrJy6/G+lAgzSC+XVlxDYBojocEw6mTXWOBH0WmRaP+Gy/LGa4vZzaFwoK7aEBGaMJAPXP0eRU4XyVCFAUmEsG5CnuC+naPe2KQkm/4ku5xoDWeXJzg9fhG17zTLVs0JBslWiypEBvmmr4WpE5MFukmVqfFsF4uwqXJRSIroIcAVJd98Zq3uJ8QLXpEFpPUj6PHTVU+8kV3Dy8aamUhb1vfee9Zuo78RlDkjo9P1CSm0bExwtfmpJjYNouTPpkPO7qW5NXMMCnClHWm4gCzUSbcSYIaRiIN/aNkj97vtDhrp9wCkmU52Wf20jG3ugZkSgB+AiwmIEd72kSTAdzSyHkAM5mWGFsB2geVSPzqymnd4AryFjeZmQBimYqvjkpiVkbaj+FQ7ChA3GCpIh+7Bx0VntAYcq73I968YfGCrfE02NnTc7WVqxWBV9bKV9dYwN5eD2uvRHkkHUTUbEBfm9DbYqSvsEAK0zmnP+x+uRFO3XD+8S+HC7eN/CxCe8mcBpNNwKjXqK526xX3wH+Yelw3Q10hq5O7RrVWA2PLadO+i28vYw44bUo1euG1te965hbYJXjslcaHeTcQRTBFq7BjEPa5iVoynHYucglXPoTy+UH7B2lE18Bln4tZq/fw==
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SJ0PR10MB5488.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(366004)(66446008)(64756008)(2906002)(76116006)(8936002)(55016002)(26005)(71200400001)(6506007)(508600001)(9686003)(186003)(38100700002)(66476007)(66556008)(33656002)(4744005)(44832011)(7696005)(86362001)(52536014)(66946007)(110136005)(5660300002)(4326008)(316002)(122000001)(38070700005)(8676002)(83380400001);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata-chunkcount: 1
x-ms-exchange-antispam-messagedata-0: =?us-ascii?Q?ZR1yZp8hdFevrO8f21gB8y3Zn1NJWOdDTLM4hQmfcaCqX8drNMinSGwE5jh1?=
 =?us-ascii?Q?tykClYrXW7FTiMYMJeCFZzoPluyNRU6kzK3hglnujnvlJlZO+cSlZnsg16FQ?=
 =?us-ascii?Q?/iSmJZLVTlIQt0EzEH6bz3uJTxeSyhxnIE36KzmkbVmi2PHJz+oc0iRtqSTi?=
 =?us-ascii?Q?aj4muWfNX+M9PljYmt5MN2MK0CfaDNrWhg7CaIb10TrMyv+JHEQghfhNOmaI?=
 =?us-ascii?Q?hAWhCUEbyaNuQarAB2w5Pj6dTGENByh5fQ6OGhtTa5gz6EuHsZSwYXwyTqJl?=
 =?us-ascii?Q?N9R4XN+j5ysto2Jt70Ieb4Zb3gkDPyw5z40QPpdUpGe/ebW0nc+DLldUwHWN?=
 =?us-ascii?Q?1/95WZ/igtQ6DzgkhbTzPXb13kn9QlIWnMIiHrAWQF/1s5V6tGMioacKTBVF?=
 =?us-ascii?Q?3c9hHNUkOk0kSRO354IcTBNmyvfclkwMOwYnQI42pelUnS0ma/5P2gEi6sAh?=
 =?us-ascii?Q?3WrqEVuu2PNeoMlK3wgTSOMCaN4JyAbZnyKruTWype3gox6uIrrAzQxtr+Uq?=
 =?us-ascii?Q?ootepW3cdvhbSORVVXX/w1mMAhf83GTNAejg8JbZDd4EiuQTB/KQU/FT0XdS?=
 =?us-ascii?Q?jbNrKJeH1e9Nsy4hjtF0vVoRcYTBIQ3mPpIK9RtLee9qmwSIcJmmqXoi/CEn?=
 =?us-ascii?Q?9tirOHSSN9EGv7Bjcd6UDtra5o2CfbBIIlHtVOkPqquy+qRF9sC/2yI3BiPm?=
 =?us-ascii?Q?8yY/hikm6QohgZCrCRqbRX1E7Nma/NpKYMuwT3d1ji0a6iTx8m87JbczSV34?=
 =?us-ascii?Q?crybfYfgp2qyOM8Lkrt3IfZXXIFkacGboo7vxy+odHfS4BF9d+x7XvjXFblF?=
 =?us-ascii?Q?CrgMg8ok+GhX7LeWO+V3cxyDc24yuIhLLw8h/FFKoi66VdZ6GrmfUxMuJFMO?=
 =?us-ascii?Q?XrEJVEoLlGybYQY7JN2tD6iRRevMWBep9CmTk9A+O8Bel8UNZbTfli9PufCh?=
 =?us-ascii?Q?S2UuW6yl4aNoPGBj46ykU7kcomjll8ozfXkzua5f0u3xiy/rdiXI1CRoYlBg?=
 =?us-ascii?Q?FytTyO4bRVLpDmAVx9n7PBzZnD8utWYWHbp1hPH+pfdU5ijen5eX+uPudU+4?=
 =?us-ascii?Q?SeACtV1endsDcGCH3dEEu3z6m2zDJSSe89Bui/4xD/0FKFI0aaGFyLO6lW0f?=
 =?us-ascii?Q?uxOsm5jQCQ4+eYOor/QynZhaj11U60sZ1pQZrHyD35RV/m7IyIesRNVI6iWQ?=
 =?us-ascii?Q?jzjrYd5i82d+JtBWB+Lz7utbJjBtR24AAB+v4Bjjxuc9404vxq1hD6qXFnqT?=
 =?us-ascii?Q?Ax9ZPl2AQLm9ZVFMrUOqT4oKo3TWOgwtQUUq8KGg6Tb0gSGOOcy3m220rxjt?=
 =?us-ascii?Q?Qym6iC+CudkZcsTOBzICFz53?=
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SJ0PR10MB5488.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 3b487661-946c-4f3c-fb40-08d983876746
X-MS-Exchange-CrossTenant-originalarrivaltime: 29 Sep 2021 20:26:22.4820 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: 1jS30WUqm0gZT2/q5qv2F4AGSDObL7X8oHK6erd/IXsFZwKxoNA1O30m6W/OqQPcUH44GCB4fsGIuAjkHNlCdQ==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: BY5PR10MB4035
X-Proofpoint-Virus-Version: vendor=nai engine=6300 definitions=10122
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 mlxlogscore=742
 suspectscore=0
 mlxscore=0 spamscore=0 adultscore=0 bulkscore=0 phishscore=0
 malwarescore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.12.0-2109230001 definitions=main-2109290119
X-Proofpoint-GUID: TjfdalbRy3gpas_SqQIcL5kDirsMVRPR
X-Proofpoint-ORIG-GUID: TjfdalbRy3gpas_SqQIcL5kDirsMVRPR
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50894
Cc: "50894 <at> debbugs.gnu.org" <50894 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> If you read a book where every paren is emphasized,
> what would you think about the author?

If I read that book in a reader app, I'd look to
see if that was a visualization option - but only
if I didn't find it useful.

We cater to users.  We give them optional behaviors.
Some such we turn on by default.  Some users don't
like the default behaviors, so they customize.

Nothing new.

We saw similar arguments back when the choice was
made to turn on `font-lock-mode' globally by default.
Until that momentous decision it was off.  Imagine
the consternation of the multitudes who suddenly
found it on.  They survived, and so did Emacs.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50894; Package emacs. Full text available.

Message received at 50894 <at> debbugs.gnu.org:


Received: (at 50894) by debbugs.gnu.org; 29 Sep 2021 19:55:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 29 15:55:13 2021
Received: from localhost ([127.0.0.1]:50330 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mVffc-0005II-PH
	for submit <at> debbugs.gnu.org; Wed, 29 Sep 2021 15:55:12 -0400
Received: from relay10.mail.gandi.net ([217.70.178.230]:59239)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1mVffa-0005Ht-9k
 for 50894 <at> debbugs.gnu.org; Wed, 29 Sep 2021 15:55:12 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by relay10.mail.gandi.net (Postfix) with ESMTPSA id 08DA5240005;
 Wed, 29 Sep 2021 19:55:02 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#50894: Disable show-paren-mode in special modes
Organization: LINKOV.NET
References: <87wnmzfgfy.fsf_-_@HIDDEN> <83tui3gt7z.fsf@HIDDEN>
Date: Wed, 29 Sep 2021 22:54:20 +0300
In-Reply-To: <83tui3gt7z.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 29 Sep
 2021 20:57:36 +0300")
Message-ID: <87pmsruphu.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50894
Cc: 50894 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> >> Sounds good to me, but are there any special-modes where it is useful?
>> >>
>> >> Perhaps we can just disable it in `special-mode', and if we think of
>> >> some modes where it seems really useful, we re-enable it for them?
>> >
>> > I can't think of any special modes where it's useful, so I think that
>> > sounds like a plan.
>>
>> So here is a new request created from bug#50881.
>
> Sorry, but I object to turning show-paren-mode off just 5 min after we
> turned it on.  Please wait for a month at least before reporting
> problems with that setting that are not clear bugs.

If you read a book where every paren is emphasized,
what would you think about the author?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50894; Package emacs. Full text available.

Message received at 50894 <at> debbugs.gnu.org:


Received: (at 50894) by debbugs.gnu.org; 29 Sep 2021 18:20:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 29 14:20:35 2021
Received: from localhost ([127.0.0.1]:50199 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mVeC3-0000YV-DX
	for submit <at> debbugs.gnu.org; Wed, 29 Sep 2021 14:20:35 -0400
Received: from mx0b-00069f02.pphosted.com ([205.220.177.32]:22148)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1mVeC1-0000YJ-96
 for 50894 <at> debbugs.gnu.org; Wed, 29 Sep 2021 14:20:34 -0400
Received: from pps.filterd (m0246632.ppops.net [127.0.0.1])
 by mx0b-00069f02.pphosted.com (8.16.1.2/8.16.1.2) with SMTP id 18TIBCtx007974; 
 Wed, 29 Sep 2021 18:20:32 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : subject :
 date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2021-07-09;
 bh=yGx98HfC5C+yCnysWI4CYImA8NF06XsZLxEs7qn7wgc=;
 b=MKSPonKRM2kAg3Y0RoVAJKvgPa+p/6nMWZ6BKur9LJMUPMFj96FjwcUrN/+xzf21zRsu
 hz5lJOY2Tdk+nawS6LRetfqRNUlU0FSvy1A/9iJpKfUP/q2FX3Pp1wZbO9nwiU4OirLU
 /5rSGwE27/8662WIJ8dHwjXZr+p0QD2aAP4jERB1vuQGGF99xf3Av7AWlyNua1rNcgme
 moiWdk8XsgYF3NkQNTjLBgvQu/orGt82P9wI6ojrVUE2vwb8TUEPReC/bLvr9nCXWp2a
 oGgcPaUoZpIL8a/UQIrx2YgyV1fq4ACJFS1DKazfByUoQ6YIqgU43iIfWw6Zj/Ow8Ywa ew== 
Received: from userp3030.oracle.com (userp3030.oracle.com [156.151.31.80])
 by mx0b-00069f02.pphosted.com with ESMTP id 3bcdcw0c4f-43
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Wed, 29 Sep 2021 18:20:31 +0000
Received: from pps.filterd (userp3030.oracle.com [127.0.0.1])
 by userp3030.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 18THaYKw131579;
 Wed, 29 Sep 2021 17:40:50 GMT
Received: from nam12-dm6-obe.outbound.protection.outlook.com
 (mail-dm6nam12lp2175.outbound.protection.outlook.com [104.47.59.175])
 by userp3030.oracle.com with ESMTP id 3bc3bkb2b7-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Wed, 29 Sep 2021 17:40:49 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=YtZqSBjZ7sOSR0CNQY8SAD1oMh1/L4amGJNdfsrx6T3QiA5xgz7ekIHBFfviU7Qy0ZrE7LivvmF0/EnB+F32UQ9nqi2e8klOQAE/NjKuC8mCu1aV9sUOQpvySO0tK/udbriuslymp2p+T7462N6TzzAqnqLFSXlInNoDwjWqN1JxNwlprJs8rEeKbOu1uUvWstYyTkKHeJgJKanVAdHXURovX577kKvay+nqAF6wQpoisY5hqGvWvq6TR7kxrC3DoqsJ92R1XkpSJBgXz5PmW0KjJ48Yvoams9XER0srDoATKqPttwcF/dC4QOSJSr5SFPbdONXOIHLJmm+6tKHGGw==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version; 
 bh=yGx98HfC5C+yCnysWI4CYImA8NF06XsZLxEs7qn7wgc=;
 b=P+KAI4XRzHlJg3diKhegx2PDCKrHlXdJhTwxfpzaWPSWJxExdkBFnprss6fUcVjXmaaDCkszbclvmTTfImPoFvFxKlAGJrcNo5X86yn7z510wLExL0od3tEm0rvyYN5gqkuViqStBWRtUBIZZg72tSthy6pBO2c6+qjEoVjQBciHeN9gSR1FXLaOGMukaWaHgRvN/5DQvI+YpesHzAbXJGwD2NQcQvkc98k6jQoymahgLQ05MDhxs20Cq4j8G6vbm/UD/jIA0z7dDsa/Y8hO7POHh66kLdQfyWmZWUqrcZN2Nhnfe97uvImhE78j2Q6I+wJJgC3Ti4RmRuLUfO57Nw==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=yGx98HfC5C+yCnysWI4CYImA8NF06XsZLxEs7qn7wgc=;
 b=t9oY4mpNbq5biSckr2NTyNX+H3JDjX4Pa8ggBiy157m+yUws8bh04ZjMTgAEj6wg5QiBnZdjLnMKZSXOIlG/PJrcy3J5dZ8UzDmiQWQ0kNMuaQjxqj6Cx/5jPVvZjgA1ODU5fLJjTGE9mUXuLJX8nQF+lxN4F7T2raUfef5ZQ6E=
Received: from SJ0PR10MB5488.namprd10.prod.outlook.com (2603:10b6:a03:37e::19)
 by SJ0PR10MB4495.namprd10.prod.outlook.com (2603:10b6:a03:2d6::5)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.4544.14; Wed, 29 Sep
 2021 17:40:48 +0000
Received: from SJ0PR10MB5488.namprd10.prod.outlook.com
 ([fe80::c0bc:7c3a:292f:8a82]) by SJ0PR10MB5488.namprd10.prod.outlook.com
 ([fe80::c0bc:7c3a:292f:8a82%9]) with mapi id 15.20.4544.021; Wed, 29 Sep 2021
 17:40:48 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: Juri Linkov <juri@HIDDEN>, "50894 <at> debbugs.gnu.org"
 <50894 <at> debbugs.gnu.org>
Subject: RE: [External] : bug#50894: Disable show-paren-mode in special modes
Thread-Topic: [External] : bug#50894: Disable show-paren-mode in special modes
Thread-Index: AQHXtVZndCi/jB64IEOd2XLXMJIMC6u7RwGA
Date: Wed, 29 Sep 2021 17:40:48 +0000
Message-ID: <SJ0PR10MB54880FAB1B05971E9ACF809FF3A99@HIDDEN>
References: <87wnmzfgfy.fsf_-_@HIDDEN>
In-Reply-To: <87wnmzfgfy.fsf_-_@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
authentication-results: linkov.net; dkim=none (message not signed)
 header.d=none;linkov.net; dmarc=none action=none header.from=oracle.com;
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: de4e6898-c74e-43f4-c0f7-08d983704614
x-ms-traffictypediagnostic: SJ0PR10MB4495:
x-microsoft-antispam-prvs: <SJ0PR10MB4495783C1DEE4DDECE4F240EF3A99@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:8273;
x-ms-exchange-senderadcheck: 1
x-ms-exchange-antispam-relay: 0
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: +EnnCNiq6cjZD7GGRajRchRa19T2e1/ELnCaPi9RQLkCylYDi9mKOVH6CJAv7tbs6bFFnHIzJs4fjgUN3WZf9IKvs39lhdWthB1xQlEUFuT5v7GC207K+IrMzK0UNAaCpjIry+esmdLky3Ook0zgivRxNK6K+sknN6m0o9UIOXUvxGMHKLOSi1UOIE6XxZ2UR4OUC5nDT1pSFuPija81gyimyVWnO16ZOESqKaM5c8z8BOFslFZgAe6uRoSARkh2IR3fHHta86Qp9JWsnmey1vKxFZRVzUpnR9wyHM4Nju3Q82uby0YHhrg6XrY3SUbSeHGkEoRwvUFAUs0kADA1udZ4k4ATGigYqS7/qjoPW6bqX2wDLzQQH2jHr3r5wK5sW64Cjp8ngGvlVtmLWkYVxP/Rmi8lc2249ifUdWbshGFHZRAfnWI5TElPAfRtaAzHCa/1Y/FEMGMOIsYUu0coT/MmlkZ8/Uy3/wVIQBUTMJmwF4KIc7kwmASkpW0PjR8UjxCQHN4Qgh076++Gs2AjAwtNdmJuOtPSNU9qWpJ4tc3g9W1EvvorqKPF9GC8cHOl0jFbKh/oLZmgiU4TtHWYPMw3gwZ3JF23OwpH/7IYA5tsozv4/MN7zEG7FbjGkXZdrfxkhJb1b7L8EyHVuv7JRkZtr73W61pqHntWlAfm1zW7k6qxKULBYT5BGsLD6PIiMdSBY38NPdL6akLmkEgZsA==
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SJ0PR10MB5488.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(366004)(38070700005)(110136005)(316002)(33656002)(44832011)(186003)(2906002)(83380400001)(8936002)(66476007)(66556008)(52536014)(76116006)(5660300002)(26005)(71200400001)(66446008)(7696005)(55016002)(64756008)(66946007)(508600001)(38100700002)(9686003)(8676002)(4744005)(122000001)(86362001)(6506007);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata-chunkcount: 1
x-ms-exchange-antispam-messagedata-0: =?us-ascii?Q?enH4k2nB0lri6ngVfgvPXZ5jkZYK4d4SM7Mk6BYz/Og3KhcNO5GolEDHoQUM?=
 =?us-ascii?Q?msrjgBLxVmUYmFNAZW6fCVZEkNwfTWS6GkLAnUchjyhBUUiubVqobPc9z8to?=
 =?us-ascii?Q?mK1vrDrey0rzhvCExIzJoFKo6KmlL0Vl4VddunBtIN24EFPD8idUjQ5TktAm?=
 =?us-ascii?Q?2nvlqbjsVeCzcjlUkkJfgi1ZPgynHO639/IwUZX1LEvZ0StDu/+wqX23F/Lj?=
 =?us-ascii?Q?KieVKYDLVhV7xYf3Qwb66NCxhipHne9zHOQlRWUkbrYtL+jQcsyEYMWx/EFf?=
 =?us-ascii?Q?vRar44k+XDVGLHD4PWzBUOqjU93SCAESz+r1IEBjVdxX0z0iLbQ3h+ytT0md?=
 =?us-ascii?Q?sy1WES84nm6UfW1/aY1Q7VYV1CIG3Ivtbnx+ih4PGRWnpxoIAh2YKYnwXKqK?=
 =?us-ascii?Q?kewLdFVczCd0fMwcYzbIZNl6G2jtMzOEGCE5y7U/fa8Ro+FWDVdCfuUDSdUF?=
 =?us-ascii?Q?hN4cTDFk8btBny9/DRZZh3J/m3LrYyXY9SV74a3Ysor831wPoqJS4uO372xX?=
 =?us-ascii?Q?L10VzLtW5IlL3HIw8/1RnA/8kiUzvVqkrg8dXKeCXrIL3PiM9X/VtP6PxesG?=
 =?us-ascii?Q?IYTu2qweGQ4w2ikPfMAoqd6zAxxwHk8s0MIWNGprSqeycMJojgNPe5UQL3GM?=
 =?us-ascii?Q?j5gAVckSxP655GaoLtk0wr3VMj7+9JlMub/UI3Niktk7xNWZLmWjXAEB4FDm?=
 =?us-ascii?Q?VrFh2uGGRu+vfKywiBsUDqinYdgZVxO3BcQp5DSumCfZmneWbCtZo4yiGRX9?=
 =?us-ascii?Q?+3nASCYxlmUcxZYf9ShtuLn0c9aRUX2u2CYuveqdx8D2l6uWetAurH3kJ8A/?=
 =?us-ascii?Q?Sq2KJCLkPUoFLpul9c0FBM7vU6ISQe7ig4p6xeqyCapslATobwGVPZGYKuKJ?=
 =?us-ascii?Q?V/xIq0vBexR/Ijc7s4415Nn7JJ4CEsvjOXjpX2jtGwvAULqKifcJ29kvQJAr?=
 =?us-ascii?Q?j6HbL/k1cTm09orNskgY5bD1d5CGmrlLIayS0yXKt3gnjB33EfOll3EEi2CE?=
 =?us-ascii?Q?OTTNF8RJAAk2gCJhoVhO/8XNXlAkKhzhu5+OYJEPB7B5eCQXnZkHcbDokrAE?=
 =?us-ascii?Q?MktF1KN18VQb6bzWDTPR6tL/UCVDOmKltmIDCxj9awDHbPR/8TqfT2VamA8u?=
 =?us-ascii?Q?MEvmVuOeJcUl14Ch3LIX7J7uE1+EmSVen1+DVvbC/1lSZ1WY/TWYiNe3rJb5?=
 =?us-ascii?Q?N0YIZycuFoekJzamY/NgPcJozkRnE+t+ykxEsaomJbxGUtVdrdFikOxWkuxI?=
 =?us-ascii?Q?b6A7xzKdRdwFK/Z982DBpy3yYX6g2Jfu/SelLuOMtCiYbHTS9PvacbYBChKz?=
 =?us-ascii?Q?vIIGxe/mjMHHXSsjz2rYlSlM?=
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SJ0PR10MB5488.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: de4e6898-c74e-43f4-c0f7-08d983704614
X-MS-Exchange-CrossTenant-originalarrivaltime: 29 Sep 2021 17:40:48.3622 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: OvNRHfhRoDPfRjVPipGjBjXeVm//MUPfgAM+ejky/iN85FN4fjq2YKOFak6aaWskvF4y/x0RXl1CoN3Mf3HxaQ==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: SJ0PR10MB4495
X-Proofpoint-Virus-Version: vendor=nai engine=6300 definitions=10122
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 mlxlogscore=545
 suspectscore=0
 mlxscore=0 spamscore=0 adultscore=0 bulkscore=0 phishscore=0
 malwarescore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.12.0-2109230001 definitions=main-2109290100
X-Proofpoint-GUID: JKLUUs_yRzlLPh0z-Rg1jzJQOCJFJkTr
X-Proofpoint-ORIG-GUID: JKLUUs_yRzlLPh0z-Rg1jzJQOCJFJkTr
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50894
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> >> Sounds good to me, but are there any special-modes where it is
> useful?
> >>
> >> Perhaps we can just disable it in `special-mode', and if we think of
> >> some modes where it seems really useful, we re-enable it for them?
> >
> > I can't think of any special modes where it's useful, so I think that
> > sounds like a plan.
>=20
> So here is a new request created from bug#50881.

So does this mean that if someone has previously
turned on `show-paren-mode' (globally) s?he now has
to explicitly turn it on in `special-mode'?

If so, why impose that backward-incompatible change?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50894; Package emacs. Full text available.

Message received at 50894 <at> debbugs.gnu.org:


Received: (at 50894) by debbugs.gnu.org; 29 Sep 2021 17:57:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 29 13:57:33 2021
Received: from localhost ([127.0.0.1]:50154 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mVdpl-0008MF-8W
	for submit <at> debbugs.gnu.org; Wed, 29 Sep 2021 13:57:33 -0400
Received: from eggs.gnu.org ([209.51.188.92]:49278)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mVdpj-0008Ly-MX
 for 50894 <at> debbugs.gnu.org; Wed, 29 Sep 2021 13:57:32 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:38948)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mVdpe-0002Y3-Es; Wed, 29 Sep 2021 13:57:26 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3499
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mVdpd-000275-Uq; Wed, 29 Sep 2021 13:57:26 -0400
Date: Wed, 29 Sep 2021 20:57:36 +0300
Message-Id: <83tui3gt7z.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
In-Reply-To: <87wnmzfgfy.fsf_-_@HIDDEN> (message from Juri Linkov on
 Wed, 29 Sep 2021 20:10:57 +0300)
Subject: Re: bug#50894: Disable show-paren-mode in special modes
References: <87wnmzfgfy.fsf_-_@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50894
Cc: 50894 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Juri Linkov <juri@HIDDEN>
> Date: Wed, 29 Sep 2021 20:10:57 +0300
> 
> >> Sounds good to me, but are there any special-modes where it is useful?
> >>
> >> Perhaps we can just disable it in `special-mode', and if we think of
> >> some modes where it seems really useful, we re-enable it for them?
> >
> > I can't think of any special modes where it's useful, so I think that
> > sounds like a plan.
> 
> So here is a new request created from bug#50881.

Sorry, but I object to turning show-paren-mode off just 5 min after we
turned it on.  Please wait for a month at least before reporting
problems with that setting that are not clear bugs.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50894; Package emacs. Full text available.
Forcibly Merged 50894 50895. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Sep 2021 17:20:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 29 13:20:49 2021
Received: from localhost ([127.0.0.1]:50086 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mVdGD-00058q-4E
	for submit <at> debbugs.gnu.org; Wed, 29 Sep 2021 13:20:49 -0400
Received: from lists.gnu.org ([209.51.188.17]:58788)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1mVdGB-00058f-81
 for submit <at> debbugs.gnu.org; Wed, 29 Sep 2021 13:20:47 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:45018)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <juri@HIDDEN>) id 1mVdGB-0004qB-1t
 for bug-gnu-emacs@HIDDEN; Wed, 29 Sep 2021 13:20:47 -0400
Received: from relay5-d.mail.gandi.net ([217.70.183.197]:32989)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <juri@HIDDEN>) id 1mVdG5-0003fb-Vy
 for bug-gnu-emacs@HIDDEN; Wed, 29 Sep 2021 13:20:46 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by relay5-d.mail.gandi.net (Postfix) with ESMTPSA id 7DFB51C000C
 for <bug-gnu-emacs@HIDDEN>; Wed, 29 Sep 2021 17:20:36 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: Disable show-paren-mode in special modes
Organization: LINKOV.NET
Date: Wed, 29 Sep 2021 20:10:57 +0300
Message-ID: <87wnmzfgfy.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=217.70.183.197; envelope-from=juri@HIDDEN;
 helo=relay5-d.mail.gandi.net
X-Spam_score_int: -25
X-Spam_score: -2.6
X-Spam_bar: --
X-Spam_report: (-2.6 / 5.0 requ) BAYES_00=-1.9, RCVD_IN_DNSWL_LOW=-0.7,
 RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

>> Sounds good to me, but are there any special-modes where it is useful?
>>
>> Perhaps we can just disable it in `special-mode', and if we think of
>> some modes where it seems really useful, we re-enable it for them?
>
> I can't think of any special modes where it's useful, so I think that
> sounds like a plan.

So here is a new request created from bug#50881.




Acknowledgement sent to Juri Linkov <juri@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#50894; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 5 Oct 2021 23:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.